Skip to content
Blaise Wallet - A wallet for the Pascal cryptocurrency, made with Flutter
Dart Python Objective-C Ruby Java Swift
Branch: master
Clone or download
Latest commit 3301951 Aug 29, 2019
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
android Status bar icon updated Aug 6, 2019
assets Search animation changed Aug 18, 2019
bin Incorporate borrow limit set by server Aug 15, 2019
fonts Logout icon fixed Aug 29, 2019
ios Search animation changed Aug 18, 2019
lib Logout icon fixed Aug 29, 2019
test Infrastructure May 30, 2019
.gitignore Create poupdate script to auto-update translations via poeditor API Aug 14, 2019
LICENSE Update copyright Aug 2, 2019
README.md Update README.md Aug 22, 2019
pubspec.yaml v1.0.2 Aug 25, 2019

README.md

Blaise - Simple, Sleek & Secure PASCAL Wallet

What is Blaise?

Blaise Hero

Blaise is a cross-platform mobile wallet for the PASCAL cryptocurrency. It is written in Dart using Flutter.

Blaise Borrow Blaise Send

Private keys are stored on the device and never transmitted to the server. Signing and other low-level operations are performed using PascalDart

Link Description
blaisewallet.com Blaise Homepage
pascalcoin.org PACAL Cryptocurrency Homepage
appditto.com Appditto Homepage

Server

Blaise can interact with any PascalCoin Daemon, a high-performance Python server is used for push notifications, periodic price updates, and the PASA purchase APIs.

Blaise's backend server source code can be found here

Contributing

Building

Android: flutter build apk iOS: flutter build ios

If you have a connected device or emulator you can run and deploy the app with flutter run

Have a question?

If you need any help, feel free to file an issue if you do not manage to find a solution.

License

Blaise is released under the MIT License

Update translations

flutter pub pub run intl_translation:extract_to_arb --output-dir=lib/l10n lib/localization.dart
flutter pub pub run intl_translation:generate_from_arb --output-dir=lib/l10n \
   --no-use-deferred-loading lib/localization.dart lib/l10n/intl_*.arb
You can’t perform that action at this time.